/**
 * 
 */
package de.intevation.gnv.geobackend.sde.datasources.exception;

/**
 * A Class for encapsulating implementation specific datasource exceptions.
 * This exception class can be used for all exceptions occuring in connection 
 * to "datasources actions".
 * 
 * @author blume
 * @author drewnak
 * @author Tim Englich <tim.englich@intevation.de>
 */
public class DatasourceException extends Exception {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = 2593142889158383466L;

    /**
     * Constructor
     */
    public DatasourceException() {
        super();
    }

    /**
     * Constructor
     * @param pMessage the Exceptionmessage
     */
    public DatasourceException(String pMessage) {
        super(pMessage);
    }

    /**
     * Constructor
     * @param pMessage the Exceptionmessage
     * @param pCause the Throwable which cause this exception
     */
    public DatasourceException(String pMessage, Throwable pCause) {
        super(pMessage, pCause);
    }

    /**
     * Constructor
     * @param pCause the Throwable which cause this exception
     */
    public DatasourceException(Throwable pCause) {
        super(pCause);
    }

}